Page MenuHomePhabricator

Requesting access to restricted production access for Bill Pirkle
Closed, ResolvedPublicRequest

Description

Username: bpirkle
Full name: Bill Pirkle
SSH Key:
ssh-rsa AAAAB3NzaC1yc2EAAAADAQABAAACAQDbltutX5diB3UPRq+rUBdWmK/wgjq7gQASlWAJLXqNDfV3gLSZ9SlneE6fEx91RlodXMgRC7PuPxzCj+39pNS+mtX+53+pf7gHO8vtb1Bsqa4+EaWxBgEvybmdOpFOmmhevZSBRtV882RhppOwSw62YannwT9eMOUKKDixZHaXA94gFVTIAjASY7bSI2+VwSFCKskjC+qHSIzh9AkkkKONMuU+meCFSqR/V47t5lVm/DjIPfZq7cSnlemvV/p1+hgLiCGIA3DufUYnTxiyoNPaAHJRyXmFwTxChogwMBJnMVyXqabsN75hIf1DdyTmT0TB+Wn3cu+Mqjz1E7GUaDJAhmWTBjM1ulvQgrMiPxsxU1QiAfqwgmtC56D/oajCniiDbCqV1+9SwtsdEAQUIO142+n5sR4he5Z/3t3Z6NUaowbKHwxgRyjSOaS7REXzC5jzk+1RmZ24vdViWXxodFqDXZz2JjzPNR1IsSsZusvwjMOIezHRZxp1EnH6g3o01zJedYqvA717He1ONDXW+FfisZwxe2Tejmqb6xGhhvfQgLIslxeXKPGGaQwruN6L9+ijpatsjXaVCY6odhmR3D6WG1mUcZg2stngKUNMKZqovruTBJK3cbPBdKCCXs3M/52v7qq2fykwii1kN9CVVv4YoYDyukZ2UqxMW1yMNqirhw== bpirkle@wikimedia.org

Tim Starling has advised that I apply for shell access, in order to
begin familiarisation and training on the production cluster, with an
aim to eventually fully participating in Core Platform Team
activities. The Core Platform Team are heavy users of shell access,
and their duties include incident response, monitoring of new
deployments, and running schema migration scripts. Initially, I plan
on using shell access in order to test and monitor the deployment of
the batch deletion feature which I'm writing (T198176).

SRE Clinic Duty Checklist for Access Requests

Most requirements are outlined on https://wikitech.wikimedia.org/wiki/Requesting_shell_access

This checklist should be used on all access requests to ensure that all steps are covered. This includes expansion to access. Please do not check off items on the list below unless you are in Ops and have confirmed the step.

  • - User has signed the L3 Acknowledgement of Wikimedia Server Access Responsibilities Document.
  • - User has a valid NDA on file with WMF legal. (This can be checked by Operations via the NDA tracking sheet & is included in all WMF Staff/Contractor hiring.)
  • - User has provided the following: wikitech username, preferred shell username, email address, and full reasoning for access (including what commands and/or tasks they expect to perform.
  • - User has provided a public SSH key. This ssh key pair should only be used for WMF cluster access, and not share with any other service (this includes not sharing with WMCS access, no shared keys.)
  • - access request (or expansion) has sign off of WMF sponsor/manager (sponser for volunteers, manager for wmf staff)
  • - sudo requests: all sudo requests require explicit approval during the weekly operations team meeting. No sudo requests will be approved outside of those meetings without the direct override of the Director of Operations.
  • - Patchsets for access request https://gerrit.wikimedia.org/r/454709 & https://gerrit.wikimedia.org/r/454710

Event Timeline

BPirkle created this task.Aug 22 2018, 3:24 PM
Restricted Application added a project: Operations. · View Herald TranscriptAug 22 2018, 3:24 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
RobH updated the task description. (Show Details)Aug 22 2018, 10:22 PM
RobH updated the task description. (Show Details)
RobH triaged this task as Medium priority.Aug 22 2018, 10:25 PM
RobH updated the task description. (Show Details)
RobH moved this task from Untriaged to Awaiting User Input on the SRE-Access-Requests board.
RobH added a subscriber: RobH.

@BPirkle: Please coordinate with your manager to have them approve your access (via comment) on this task. Once they do that, we should have everything we need.

I'll prepare the patchsets for your user creation and addition to the restricted group. Please note we have a 3 business day waiting period for objections to be noted.

As long as no objections are noted, and we have your manager's sign off on this task, we'll go ahead and merge your access live next Monday.

Change 454709 had a related patch set uploaded (by RobH; owner: RobH):
[operations/puppet@production] adding user Bill Pirkle

https://gerrit.wikimedia.org/r/454709

Change 454710 had a related patch set uploaded (by RobH; owner: RobH):
[operations/puppet@production] adding bill pirkle to groups

https://gerrit.wikimedia.org/r/454710

RobH updated the task description. (Show Details)Aug 22 2018, 10:34 PM

I approve of this request. As the task description says, I recommended it. I note that @Fjalapeno is Bill's manager, so he should sign off on it, I'm just a tech lead now.

Fjalapeno added a comment.EditedAug 24 2018, 3:33 PM

Approved

RobH added a comment.Aug 27 2018, 5:58 PM

This was approved in today's SRE team meeting.

Approved in SRE meeting.

Change 454709 merged by RobH:
[operations/puppet@production] adding user Bill Pirkle

https://gerrit.wikimedia.org/r/454709

Change 454710 abandoned by RobH:
adding bill pirkle to groups

https://gerrit.wikimedia.org/r/454710

Change 455609 had a related patch set uploaded (by RobH; owner: RobH):
[operations/puppet@production] adding bpirkle to restricted

https://gerrit.wikimedia.org/r/455609

Change 455609 merged by RobH:
[operations/puppet@production] adding bpirkle to restricted

https://gerrit.wikimedia.org/r/455609

RobH added a comment.Aug 27 2018, 6:12 PM

Access is now live. Please note it can take up to 30 minutes for all affected hosts to receive the update. If there are any issues, please feel free to re-open this task and/or ask for assistance in freenode #wikimedia-operations

RobH closed this task as Resolved.Aug 27 2018, 6:12 PM